#!/bin/bash

for file in *.cpp
do  
      filename="${file%.*}"
      list="$list $filename.o"  
      echo -n "Compiling $filename..."
      g++ -g -c -std=c++17 -I../CoreUtils -I../ServerCore $file 
      if [ $? = '0' ]
      then
         echo "OK"
      else
         echo "ERROR"
         exit -1
      fi      
done

wait
echo -n "Building executable BMAMail..."
g++ -g -std=c++17 -o BMAMail $list -I../CoreUtils -I../ServerCore -L../CoreUtils -lCoreUtils -L../ServerCore -lServerCore -lpthread -luuid -lssl -lcrypto -lresolv
if [ $? = '0' ]
then
 echo "OK"
else
 echo "ERROR"
 exit -1
fi   

rm *~
rm *.o


